# --*-- coding: utf-8 --*--

from nwae.utils.Log import Log
from inspect import getframeinfo, currentframe
from nwae.lang.LangFeatures import LangFeatures
from nwae.lang.detect.CommonWords import CommonWords


class Spanish(CommonWords):

    # We assume 20% as minimum
    MIN_ES_SENT_INTERSECTION_PCT = 0.2

    def __init__(
            self
    ):
        super().__init__(lang=LangFeatures.LANG_ES)

        self.raw_words = """
como
I
su
que
él
era
para
en
son
con
ellos
ser
en
uno
tener
este
desde
por
caliente
palabra
pero
qué
algunos
es
lo
usted
o
tenido
la
de
a
y
un
en
nos
lata
fuera
otros
eran
que
hacer
su
tiempo
si
lo hará
cómo
dicho
un
cada
decir
hace
conjunto
tres
querer
aire
así
también
jugar
pequeño
fin
poner
casa
leer
mano
puerto
grande
deletrear
añadir
incluso
tierra
aquí
debe
grande
alto
tal
siga
acto
por qué
preguntar
hombres
cambio
se fue
luz
tipo
fuera
necesitará
casa
imagen
tratar
nosotros
de nuevo
animal
punto
madre
mundo
cerca
construir
auto
tierra
padre
cualquier
nuevo
trabajo
parte
tomar
conseguir
lugar
hecho
vivir
donde
después
espalda
poco
sólo
ronda
hombre
años
vino
show
cada
buena
me
dar
nuestro
bajo
nombre
muy
a través de
sólo
forma
frase
gran
pensar
decir
ayudar
bajo
línea
ser distinto
a su vez,
causa
mucho
significará
antes
movimiento
derecho
niño
viejo
demasiado
misma
ella
todo
hay
cuando
hasta
uso
su
camino
acerca
muchos
entonces
ellos
escribir
haría
como
así
éstos
su
largo
hacer
cosa
ver
él
dos
tiene
buscar
más
día
podía
ir
venir
hizo
número
sonar
no
más
personas
mi
sobre
saber
agua
que
llamada
primero
que
puede
abajo
lado
estado
ahora
encontrar
cabeza
de pie
propio
página
debería
país
encontrado
respuesta
escuela
crecer
estudio
todavía
aprender
planta
cubierta
alimentos
sol
cuatro
entre
estado
mantener
ojo
nunca
último
dejar
pensado
ciudad
árbol
cruzar
granja
duro
inicio
podría
historia
sierra
ahora
mar
dibujar
izquierda
tarde
ejecutar
no
mientras
prensa
Cerrar
noche
reales
vida
pocos
norte
libro
llevar
tomó
ciencia
comer
habitación
amigo
comenzó
gusta
peces
montaña
Deténgase
una vez
base de
escuchar
caballo
cortada
seguro
ver
colores
cara
madera
principal
abierta
parecer
juntos
próximo
blanco
niños
comenzar
conseguido
caminar
ejemplo
aliviar
papel
grupo
siempre
música
los
ambos
marca
menudo
carta
hasta
milla
río
coche
pies
cuidado
segundo
suficiente
llano
chica
habitual
joven
listo
por encima de
nunca
rojo
lista
aunque
sentir
charla
pájaro
pronto
cuerpo
perro
familia
directa
plantear
dejar
canción
medir
puerta
producto
negro
corto
numeral
clase
viento
pregunta
suceder
completo
buque
zona
medio
roca
orden
fuego
sur
problema
pieza
dicho
sabía
pasar
desde
cima
todo
rey
calle
pulgadas
multiplicar
nada
curso
quedarse
rueda
completo
fuerza
azul
objeto
decidir
superficie
profunda
luna
isla
pie
sistema
ocupado
prueba
registro
barco
común
oro
posible
plano
lugar
seco
maravilla
risa
mil
hace
corrió
comprobar
juego
forma
equiparar
caliente
señorita
traído
calor
nieve
neumáticos
traer
sí
distante
llenar
al este
pintar
idioma
entre
unidad
potencia
ciudad
fina
cierto
volar
caer
conducir
grito
oscuro
máquina
nota
espere
plan de
figura
estrella
caja
sustantivo
campo
resto
correcta
capaz
libra
hecho
belleza
unidad
destacado
contener
delante
enseñar
semana
último
dio
verde
oh
rápido
desarrollar
océano
caliente
libre
minuto
fuerte
especial
mente
detrás
claro
cola
Produce
hecho
espacio
oído
mejor
horas
mejor
verdadero
durante
cien
cinco
recordar
paso
temprana
mantenga
oeste
suelo
interés
llegar
rápido
verbo
cantar
escuchar
seis
mesa
viajes
menos
mañana
diez
sencilla
varios
vocal
hacia
guerra
sentar
contra
patrón
lenta
centro
amar
persona
dinero
servir
aparecerá
carretera
mapa
lluvia
regla
gobernar
Halar
frío
aviso
voz
energía
caza
probable
cama
hermano
huevo
paseo
celular
creer
quizás
recoger
repentina
contar
plaza
razón
longitud
representar
arte
sujeto
región
tamaño
variar
resolver
hablar
peso
general
hielo
materia
círculo
par
incluir
brecha
sílaba
sentido
gran
bola
aún
ola
caer
corazón
am
presente
pesada
danza
motor
posición
brazo
amplio
vela
materiales
fracción
bosque
sentarse
carrera
ventana
tienda
verano
tren
sueño
demostrar
solitario
pierna
ejercicio
pared
capturas
monte
desear
cielo
bordo
alegría
invierno
satélite
escrito
salvaje
instrumento
guardado
vidrio
hierba
vaca
trabajo
borde
signo
visita
pasado
suave
diversión
brillante
gas
tiempo
mes
millones
soportar
acabado
feliz
esperanza
flor
vestir
extraño
se ha ido
comercio
melodía
viaje
oficina
recibir
fila
boca
exacta
símbolo
morir
menos
problema
grito
excepto
escribió
semilla
tono
unirse
sugerir
limpia
rotura
dama
patio
aumentando
mal
golpe
aceite
sangre
tocar
creció
ciento
mezclar
equipo
alambre
costo
perdido
marrón
desgaste
jardín
igual
enviado
elegir
cayó
encajar
fluir
justo
banco
recoger
guardar
el control
decimal
oído
demás
bastante
rompió
caso
medio
matar
hijo
lago
momento
escala
fuerte
primavera
observar
niño
recta
consonante
nación
diccionario
leche
velocidad
método
órgano
pagar
edad
sección
vestido
nube
sorpresa
tranquila
piedra
pequeño
ascenso
fresco
diseño
pobre
mucho
experimento
inferior
clave
hierro
sola
palillo
plana
veinte
piel
sonrisa
pliegue
agujero
saltar
bebé
ocho
pueblo
se reúnen
raíz
comprar
aumentar
resolver
de metal
si
empujar
siete
párrafo
tercero
deberá
en espera
pelo
describir
cocinero
piso
ya sea
resultado
quemar
colina
seguro
gato
siglo
considerar
tipo
ley
bit
costa
copia
frase
silencio
de altura
arena
suelo
rollo
temperatura
dedo
industria
valor
lucha
mentira
batir
excitar
naturales
vista
sentido
de capital
no lo hará
silla
peligro
fruta
rica
de espesor
soldado
proceso
operar
práctica
separada
difícil
médico
por favor
proteger
mediodía
de cultivos
moderno
elemento
golpear
estudiante
esquina
partido
suministro
cuya
localizar
anillo
carácter
insecto
capturado
período
indicar
Radio
habló
átomo
humana
historia
efecto
eléctrica
esperar
hueso
ferrocarril
imaginar
proporcionar
acuerdo
por tanto,
suave
mujer
capitán
adivinar
necesario
agudo
ala
crear
vecino
lavado
bate
más bien
multitud
maíz
comparar
poema
cadena
campana
dependerá
carne
frotar
tubo
famoso
dólar
corriente
miedo
vista
delgado
triángulo
planeta
prisa
jefe
colonia
reloj
mina
empate
entrar
importante
fresco
búsqueda
enviar
amarillo
pistola
permitir
print
muerto
lugar
desierto
traje
actual
ascensor
rosa
llegar
master
pista
padre
orilla
división
hoja
sustancia
favorecer
conectar
mensaje
pasar
acorde
grasa
contento
originales
cuota
estación
papá
pan
cobrar
adecuada
barra
oferta
segmento
esclavo
pato
instantánea
mercado
grado
poblar
polluelo
querido
enemigo
responder
bebida
producirse
apoyo
discurso
naturaleza
alcance
vapor
movimiento
camino
líquido
log
significado
cociente
dientes
concha
cuello
oxígeno
azúcar
muerte
bastante
habilidad
mujeres
temporada
solución
imán
plata
gracias
rama
partido
sufijo
especialmente
higo
miedo
enorme
hermana
acero
discutir
adelante
similar
guiar
experiencia
puntuación
manzana
comprado
llevado
pitch
abrigo
masa
tarjeta
banda
cuerda
deslizamiento
ganar
soñar
noche
condición
pienso
herramienta
totales
básico
olor
valle
ni
doble
asiento
continuar
bloque
tabla
sombrero
vender
éxito
empresa
restar
evento
particular,
acuerdo
nadar
plazo
opuesta
esposa
zapato
hombro
propagación
organizar
campamento
inventar
algodón
nacido
determinar
cuarto de galón
nueve
camión
ruido
nivel
oportunidad
reunir
tienda
tramo
lanzar
brillo
propiedad
columna
molécula
seleccionar
mal
gris
repita
exigir
amplio
preparar
sal
nariz
plurales
cólera
reclamación
continente
"""
        self.process_common_words()
        return

    def get_min_threshold_intersection_pct(
            self
    ):
        return Spanish.MIN_ES_SENT_INTERSECTION_PCT

if __name__ == '__main__':
    obj = Spanish()
    print(obj.common_words)
    exit(0)
